liblrdf0-dev_0.6.1-1_i386.deb


Advertisement

Description

liblrdf0-dev - liblrdf0 development files

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename liblrdf0-dev_0.6.1-1_i386.deb
Package name liblrdf0-dev
Package version 0.6.1
Package release 1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib works-with-format::xml
Homepage https://github.com/swh/LRDF
License -
Maintainer Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Download size 25.74 KB
Installed size 71.00 KB
Liblrdf can read RDF/XML and N3 files and export N3 files. It also has
a light taxonomic inference capablility.
It can also be used for general RDF manipulation.
This package holds static libraries and headers needed by developers
who wish to use liblrdf0 in their programs.

Alternatives

Package Version Architecture Repository
liblrdf0-dev_0.6.1-1_amd64.deb 0.6.1 amd64 Debian Main
liblrdf0-dev - - -

Requires

Name Value
ladspa-sdk -
liblrdf0 = 0.6.1-1
libraptor2-dev -

Provides

Name Value
liblrdf-dev -

Conflicts

Name Value
liblrdf-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblrdf0-dev_0.6.1-1_i386.deb
Source Package liblrdf

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblrdf0-dev deb package:
    # sudo apt-get install liblrdf0-dev

Files

Path
/usr/include/lrdf.h
/usr/include/lrdf_types.h
/usr/lib/liblrdf.a
/usr/lib/liblrdf.so
/usr/lib/pkgconfig/lrdf.pc
/usr/share/doc/liblrdf0-dev/AUTHORS
/usr/share/doc/liblrdf0-dev/NEWS.gz
/usr/share/doc/liblrdf0-dev/README
/usr/share/doc/liblrdf0-dev/buildinfo_i386.gz
/usr/share/doc/liblrdf0-dev/changelog.Debian.gz
/usr/share/doc/liblrdf0-dev/changelog.gz
/usr/share/doc/liblrdf0-dev/copyright

Changelog

2017-01-09 - Jonas Smedegaard <dr@jones.dk>
liblrdf (0.6.1-1) unstable; urgency=medium
[ upstream ]
* New release.
[ Jonas Smedegaard ]
* Update copyright info:
+ Stop track autotools files: No longer included upstream.
* Update package relations:
+ Fix stop bogusly build-depend on autotools-dev.
2017-01-09 - Jonas Smedegaard <dr@jones.dk>
liblrdf (0.6.0-1) unstable; urgency=medium
[ upstream ]
* New release.
[ Jonas Smedegaard ]
* Update copyright info:
+ Extend coverage for autotools files.
+ Fix cover all Makefile.in files.
+ Fix add Files section for libtool.
+ Add trailing dot to FSF owner string.
+ Add Files section for md5 files (in the public domain).
* Stop build-depend on libssl-dev: No longer needed.
* Unfuzz patch 1001.
* Re-add and adapt patch 1002 to rename badly named md5 symbols.
* Update symbols file: Add 3 sybols: _lrdf_MD5_*.
2017-01-06 - Jonas Smedegaard <dr@jones.dk>
liblrdf (0.5.0-1) experimental; urgency=medium
[ upstream ]
* New release.
[ Jonas Smedegaard ]
* Put aside more autotools files during build, and stop clean m4 dir.
* Update copyright info:
+ Drop sections for no longer shipped MD5-related files.
* Update package relations:
+ Build-depend on libraptor2-dev (not libraptor1-dev).
+ Build-depend on libssl-dev.
+ Tighten build-dependency on d-shlibs.
* Drop patch 1002: Obsolete.
* Unfuzz patch 1001.
* Update symbols file: Drop 6 sybols: _lrdf_md5_*.
* Add lintian override regarding upstream-shipped autotools files
(moved aside during build).
2017-01-05 - Jonas Smedegaard <dr@jones.dk>
liblrdf (0.4.0-8) unstable; urgency=medium
* Update watch file:
+ Bump to file format 4.
+ Use github pattern.
+ Mention gbp --uscan in usage comment.
* Drop CDBS get-orig-source target: Use gbp import-orig --uscan.
* Modernize git-buildpackage config: Filter any .git* file.
* Declare compliance with Debian Policy 3.9.8.
* Drop obsolete lintian override regarding debhelper 9.
* Update copyright info:
+ Merge Files sections with equal license.
+ Extend coverage of Debian packaging.
* Modernize CDBS use: Build-depend on licensecheck (not devscripts).
2016-02-18 - Jonas Smedegaard <dr@jones.dk>
liblrdf (0.4.0-7) unstable; urgency=medium
* Update copyright info: Add initial catch-all Files section.
* Add symbols file.
* Tidy patches, and add DEP5 headers.
2016-02-17 - Jonas Smedegaard <dr@jones.dk>
liblrdf (0.4.0-6) unstable; urgency=medium
* Add README.source emphasizing control.in file is *not* a
show-stopper for contributions, referring to wiki page for details.
* Remove obsolete field DM-Upload-Allowed.
* Modernize Vcs-* fields: Use https protocol and cgit service.
* Declare compliance with Debian Policy 3.9.7.
* Update URLs to reflect upstream move to Github.
* Update copyright info:
+ Extend copyright of packaging to cover recent years.
+ Migrate to file format 1.0.
+ Use License short-names X11 FSFUL (and derivations) RSA-MD.
+ Use License-Grant and License-Reference fields.
Thanks to Ben Finney.
* Remove debian/source/local-options: abort-on-upstream-changes and
unapply-patches are default in dpkg-source since 1.16.1.
* Add lintian overrides regarding license in License-Reference field.
See bug#s786450.
* Bump debhelper compatibility level to 9.
* Add lintian override regarding debhelper 9.
* Use unversioned automake (and autoconf).
Build-depend on automake (not automake1.11).
* Have cdbs handle putting aside upstream cruft during build.
* Fix move (not copy) aside upstream cruft during build, and force
rebuilding it.
Tighten to build-depen on recent cdbs.
Closes: Bug#814496. Thanks to Chris Lamb.

See Also

Package Description
liblrdf0_0.6.1-1_i386.deb library to manipulate RDF files describing LADSPA plugins
liblrm2-dev_1.0.12-12_i386.deb Reusable cluster development files -- liblrm
liblrm2_1.0.12-12_i386.deb Reusable cluster libraries -- liblrm2
liblrmd-dev_2.0.1-5_all.deb transitional package
liblrmd28_2.0.1-5_i386.deb cluster resource manager LRMD library
liblrs-dev_0.70-3_i386.deb package to enumerate vertices and extreme rays (development file)
liblrs0_0.70-3_i386.deb package to enumerate vertices and extreme rays (shared libraries)
liblsan0-amd64-cross_8.3.0-2cross1_all.deb LeakSanitizer -- a memory leak detector (runtime)
liblsan0-arm64-cross_8.3.0-2cross1_all.deb LeakSanitizer -- a memory leak detector (runtime)
liblsan0-ppc64-cross_8.3.0-2cross2_all.deb LeakSanitizer -- a memory leak detector (runtime)
liblsan0-ppc64el-cross_8.3.0-2cross1_all.deb LeakSanitizer -- a memory leak detector (runtime)
liblscp-dev_0.6.0-1_i386.deb Development files for LinuxSampler Control Protocol library
liblscp-doc_0.6.0-1_all.deb Documentation for LinuxSampler Control Protocol library
liblscp6_0.6.0-1_i386.deb LinuxSampler Control Protocol wrapper library
liblsofui7_5.14.5-1_i386.deb library for monitoring your system - shared library
Advertisement
Advertisement